Subject: Re: [PATCH v2] reftable/writer: ensure valid range for log's update_index

From: Toon Claes <[email-masked]>
Date: Wed, 11 Dec 2024 14:10:57 +0100

karthik nayak <[email-masked]> writes:

> I was reading the reftable code and noticed it. So mostly luck. Agreed
> with what you're saying, I'd say this is mostly a 'safeguard'.

I was wondering as well, thanks for that info.

> Totally, these kind of specific changes are perfect for unit-tests. Plus
> it was very simple to add one too.

I appreciate you're doing this, that makes it easier to reason about
these changes.

>> Will queue.  Thanks.

Junio, thank you for the quick turnarond on this patch. For what it's
worth, I've given this a review and I approve these changes.

-- 
Toon